<?php
$filename = 'c_leitura.php';

if (!file_exists($filename)) {
  header("Location: error.php"); exit;   
}

include 'c_leitura.php';
session_start();
$nivel_necessario = 1;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ($_SESSION['UsuarioNivel'] > $nivel_necessario)) {
	// Destrói a sessão por segurança
	session_destroy();
	// Redireciona o visitante de volta pro login
	header("Location: index.php"); exit;
}

require_once("db.php");


if (!empty($_POST['id'])){

	$id = $_POST['id'];
	$status = $_POST['opt'];
	
	foreach($id as $key => $id_metrica) {	
		
		$query = "UPDATE metricas SET status_leitura = '$status' WHERE id= '$id_metrica'";
		$result = mysql_query($query);
	}   
}

if (!empty($_POST['cliente'])) {
	
   $cliente = $_POST['cliente'];   
   $query = "UPDATE metricas, tablet SET status_leitura = 2 "
           . " WHERE metricas.idprod = tablet.idprod "
           . " AND tablet.cliente='".$cliente."' AND metricas.status = 0";
   $result = mysql_query($query); 
}

if ($result)
	echo json_encode(array('success'=>1, 'msg'=>'Fatura fechada com sucesso!'));
else
	echo json_encode(array('success'=>0, 'msg'=>'Erro ao fechar fatura'));

exit;

// header('Location: gerenciar_fatura.php?msg=1');




?>

